Permalink
Browse files

Upgrade gem dependencies

  • Loading branch information...
1 parent a8fec4f commit 029a20c1f144e134e63d74ef1261267b81beecac @dkubb committed Feb 16, 2013
Showing with 35 additions and 24 deletions.
  1. +32 −21 Gemfile
  2. +3 −3 adamantium.gemspec
View
53 Gemfile
@@ -9,49 +9,60 @@ group :yard do
end
group :guard do
- gem 'guard', '~> 1.5.4'
+ gem 'guard', '~> 1.6.2'
gem 'guard-bundler', '~> 1.0.0'
gem 'guard-rspec', '~> 1.2.1'
-end
-group :benchmarks do
- gem 'rbench', '~> 0.2.3'
-end
+ # file system change event handling
+ gem 'rb-fchange', '~> 0.0.6', :require => false
+ gem 'rb-fsevent', '~> 0.9.3', :require => false
+ gem 'rb-inotify', '~> 0.9.0', :require => false
-platform :jruby do
- group :jruby do
- gem 'jruby-openssl', '~> 0.8.2'
- end
+ # notification handling
+ gem 'libnotify', '~> 0.8.0', :require => false
+ gem 'rb-notifu', '~> 0.0.4', :require => false
+ gem 'terminal-notifier-guard', '~> 1.5.3', :require => false
end
group :metrics do
gem 'flay', '~> 1.4.3'
gem 'flog', '~> 2.5.3'
- gem 'roodi', '~> 2.1.0'
- gem 'yardstick', '~> 0.9.1'
+ gem 'roodi', '~> 2.2.0'
+ gem 'yardstick', '~> 0.9.2'
platforms :ruby_18, :ruby_19 do
# this indirectly depends on ffi which does not build on ruby-head
gem 'yard-spellcheck', '~> 0.1.5'
end
platforms :mri_18 do
- gem 'arrayfields', '~> 4.7.4' # for metric_fu
- gem 'fattr', '~> 2.2.0' # for metric_fu
- gem 'heckle', '~> 1.4.3'
- gem 'json', '~> 1.7.3' # for metric_fu rake task
- gem 'map', '~> 6.2.0' # for metric_fu
- gem 'metric_fu', '~> 2.1.1'
- gem 'mspec', '~> 1.5.17'
- gem 'rcov', '~> 1.0.0'
- gem 'ruby2ruby', '= 1.2.2' # for heckle
+ gem 'arrayfields', '~> 4.7.4' # for metric_fu
+ gem 'fattr', '~> 2.2.0' # for metric_fu
+ gem 'heckle', '~> 1.4.3'
+ gem 'json', '~> 1.7.7' # for metric_fu rake task
+ gem 'map', '~> 6.3.0' # for metric_fu
+ gem 'metric_fu', '~> 2.1.1'
+ gem 'mspec', '~> 1.5.17'
+ gem 'rcov', '~> 1.0.0'
+ gem 'ruby2ruby', '= 1.2.2' # for heckle
+ gem 'rails_best_practices', '= 1.13.3' # for metric_fu
end
- platforms :ruby_19 do
+ platforms :mri_19 do
gem 'simplecov', '~> 0.7.1'
end
platforms :rbx do
gem 'pelusa', '~> 0.2.2'
end
end
+
+group :benchmarks do
+ gem 'rbench', '~> 0.2.3'
+end
+
+platform :jruby do
+ group :jruby do
+ gem 'jruby-openssl', '~> 0.8.2'
+ end
+end
View
6 adamantium.gemspec
@@ -16,10 +16,10 @@ Gem::Specification.new do |gem|
gem.test_files = `git ls-files -- spec/{unit,integration}`.split($/)
gem.extra_rdoc_files = %w[LICENSE README.md TODO]
- gem.add_runtime_dependency('backports', '~> 2.7.0')
- gem.add_runtime_dependency('ice_nine', '~> 0.6.0')
+ gem.add_runtime_dependency('backports', '~> 2.8.2')
+ gem.add_runtime_dependency('ice_nine', '~> 0.7.0')
gem.add_development_dependency('rake', '~> 10.0.3')
gem.add_development_dependency('rspec', '~> 1.3.2')
- gem.add_development_dependency('yard', '~> 0.8.3')
+ gem.add_development_dependency('yard', '~> 0.8.4.1')
end

0 comments on commit 029a20c

Please sign in to comment.